Get a comment for an entity and branch
curl --request GET \
--url https://api.korint.io/comments/{commentId} \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/comments/{commentId}"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/comments/{commentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"id": "<string>",
"entityId": "<string>",
"branchId": "<string>",
"comment": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": {},
"kind": "GENERIC",
"authorUserId": {}
}{
"code": "COMMENT_NOT_FOUND",
"message": "Comment {id} not found",
"details": {}
}comments
Get a comment for an entity and branch
GET
/
comments
/
{commentId}
Get a comment for an entity and branch
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Id of the comment
Pattern:
^comment(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Response
Entity type
Id of the comment
Pattern:
^comment(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Id of the entity (policy, customer, branch, ...)
Id of the branch
Pattern:
^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Comment content
Maximum string length:
10000Date and time when the comment was created
Date and time when the comment was last updated
Date and time when the comment was soft-deleted
Kind of comment (defaults to GENERIC)
Available options:
GENERIC, NOTE Cognito sub of the comment author (NOTE kind only)
Was this page helpful?

